Bug 338581 - HAL polls the USB floppy
Summary: HAL polls the USB floppy
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-18 18:54 UTC by Pete Zaitcev
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 07:34:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pete Zaitcev 2007-10-18 18:54:23 UTC
Description of problem:

HAL keeps reading from the USB floppy I have. This is wearing the
floppy and makes irritating sounds. This used not to be the case
in older versions of Fedora.

Version-Release number of selected component (if applicable):

hal-0.5.10-0.git20070731.fc8
kernel-2.6.23-0.70.rc1.git13.fc8

How reproducible:

Seems 100% reproducible, but perhaps you need a certain hardware.

Steps to Reproduce:
1. Plug a floppy into USB. Insert a disc.
2. Listen for HAL reading.
  
Actual results:

Constant operation of floppy.

Expected results:

Not reading the media after the first time.

Additional info:

I think something broke the revalidation in sd.c in case of removables.
I have verified with strace that a mere open() causes re-reading of
the media where it didn't before:

[root@simbelmyne zaitcev]# strace -p 2784
Process 2784 attached - interrupt to quit
poll([{fd=3, events=POLLIN}], 1, 4505)  = 0
poll([{fd=3, events=POLLIN}], 1, 1)     = 0
open("/dev/sdd", O_RDONLY)              = 5
close(5)                                = 0
poll( <unfinished ...>

Comment 1 Pete Zaitcev 2007-10-18 22:15:33 UTC
I tested with a self-built 2.6.23+ (post-merge on x86 etc.), and it works fine.
So perhaps this will go away by itself in a 2.6.24-rc1 kernels.

Comment 2 Pete Zaitcev 2007-10-19 07:34:34 UTC
Fixed in 2.6.23-6.fc8.


Note You need to log in before you can comment on or make changes to this bug.